#4 XkbLayout problems

closed
None
5
2003-04-15
2003-04-11
Dougie Dunn
No

I'm seeing some problems with xf4vnc 4.2.0 related to
keyboard layout settings.

When I connect to the server keyboard inputs are not
mapped correctly unless either the client or server are
set to use a us keyboard map, using "setxbkmap -layout us".

My XFree86.config file sets my keyboard up with
XkbLayout set to gb. My vncviewer client is also on a
machine with a gb keyboard layout. The vncviewer is
tightvnc-1.2.8, both windows and linux versions display
the symptoms.

I do not see this behaviour when connecting to another
tightvnc server which runs on display :9, hence my post
here.

Has this behaviour been encountered by anyone before?
Any fixes available?

Discussion

  • Alan Hourihane
    Alan Hourihane
    2003-04-11

    • assigned_to: nobody --> alanh
     
  • Alan Hourihane
    Alan Hourihane
    2003-04-11

    Logged In: YES
    user_id=2372

    I've not heard of this problem before.

    Can you post your XF86Config file please.

    Might be worth upgrading to XFree86 4.3.0 and then upgrade
    to xf4vnc 4.3.0 too to get any xkb fixes from that side.

     
  • Alan Hourihane
    Alan Hourihane
    2003-04-11

    Logged In: YES
    user_id=2372

    Also, forgot to mention. Have you set the XkbLayout in the
    rfbkeyboard Section in your XF86Config file to the same gb
    layout ?

     
  • Dougie Dunn
    Dougie Dunn
    2003-04-11

    Logged In: YES
    user_id=754845

    I've attached my XF86Config file below. I'd already tried
    to add XkbLayout to the rfbkeyboard and it made no difference.

    I can certainly try to upgrade to 4.3.0 to see if the
    problem can be solved that way, although I'd really prefer
    to get it working in 4.2.0.

    I'm going to have 120-odd machines running like this soon...

    ---
    Section "ServerLayout"
    Identifier "Anaconda Configured"
    Screen 0 "Screen0" 0 0
    InputDevice "Mouse0" "CorePointer"
    InputDevice "Mouse1" "SendCoreEvents"
    InputDevice "Keyboard0" "CoreKeyboard"
    InputDevice "vncMouse" "ExtraPointer"
    InputDevice "vncKeyboard" "ExtraKeyboard"
    EndSection

    Section "Files"

    # The location of the RGB database. Note, this is the name
    of the
    # file minus the extension (like ".txt" or ".db"). There is
    normally
    # no need to change the default.

    RgbPath "/usr/X11R6/lib/X11/rgb"

    # Multiple FontPath entries are allowed (they are
    concatenated together)
    # By default, Red Hat 6.0 and later now use a font server
    independent of
    # the X server to render fonts.

    FontPath "unix/:7100"

    EndSection

    Section "Module"
    Load "dbe"
    Load "extmod"
    Load "fbdevhw"
    Load "dri"
    Load "glx"
    Load "record"
    Load "freetype"
    Load "type1"
    Load "vnc"
    EndSection

    Section "InputDevice"
    # vncKeyboard: keyboard actions from vnc
    Identifier "vncKeyboard"
    Driver "rfbkeyb"
    Option "XkbRules" "xfree86"
    Option "XkbModel" "pc101"
    Option "XkbLayout" "gb"
    EndSection

    Section "InputDevice"
    # vncMouse: mouse actions from vnc
    Identifier "vncMouse"
    Driver "rfbmouse"
    EndSection

    Section "InputDevice"
    Identifier "Keyboard0"
    Driver "keyboard"

    #
    Option
    "AutoRepeat"
    "500 5"

    # when using XQUEUE, comment out the above line, and
    uncomment the
    # following line
    #
    Option
    "Protocol"
    "Xqueue"

    # Specify which keyboard LEDs can be user-controlled (eg,
    with xset(1))
    #
    Option
    "Xleds"
    "1 2 3"

    # To disable the XKEYBOARD extension, uncomment XkbDisable.
    #
    Option
    "XkbDisable"

    # To customise the XKB settings to suit your keyboard,
    modify the
    # lines below (which are the defaults). For example, for a
    non-U.S.
    # keyboard, you will probably want to use:
    #
    Option
    "XkbModel"
    "pc102"
    # If you have a US Microsoft Natural keyboard, you can use:
    #
    Option
    "XkbModel"
    "microsoft"
    #
    # Then to change the language, change the Layout setting.
    # For example, a german layout can be obtained with:
    #
    Option
    "XkbLayout"
    "de"
    # or:
    #
    Option
    "XkbLayout"
    "de"
    #
    Option
    "XkbVariant"
    "nodeadkeys"
    #
    # If you'd like to switch the positions of your capslock and
    # control keys, use:
    #
    Option
    "XkbOptions"
    "ctrl:swapcaps"
    Option "XkbRules" "xfree86"
    Option "XkbModel" "pc101"
    Option "XkbLayout" "gb"
    #Option "XkbVariant" ""
    #Option "XkbOptions" ""
    EndSection

    Section "InputDevice"
    Identifier "Mouse0"
    Driver "mouse"
    Option "Protocol" "IMPS/2"
    Option "Device" "/dev/psaux"
    Option "Buttons" "5"
    Option "ZAxisMapping" "4 5"
    Option "Emulate3Buttons" "no"
    EndSection

    Section "InputDevice"
    Identifier "Mouse1"
    Driver "mouse"
    Option "Device" "/dev/input/mice"
    Option "Protocol" "IMPS/2"
    Option "Emulate3Buttons" "no"
    Option "ZAxisMapping" "4 5"
    EndSection

    Section "Monitor"
    Identifier "Monitor0"
    VendorName "Monitor Vendor"
    ModelName "Monitor Model"
    HorizSync 30-86
    VertRefresh 50-160
    Option "dpms"

    EndSection

    Section "Device"
    # no known options
    Identifier "ATI Radeon VE"
    Driver "radeon"
    VendorName "ATI Radeon VE"
    BoardName "ATI Radeon VE"
    Option "usevnc"

    #BusID
    EndSection

    Section "Screen"
    Identifier "Screen0"
    Device "ATI Radeon VE"
    Monitor "Monitor0"
    DefaultDepth 24

    Subsection "Display"
    Depth 8
    Modes "1024x768" "800x600" "640x480"
    Visual "PseudoColor"
    EndSubsection
    Subsection "Display"
    Depth 16
    Modes "1024x768" "800x600" "640x480"
    EndSubsection
    Subsection "Display"
    Depth 24
    Modes "1024x768" "800x600" "640x480"
    EndSubsection

    EndSection

    Section "DRI"
    Mode 0666
    EndSection

     
  • Dougie Dunn
    Dougie Dunn
    2003-04-11

    Logged In: YES
    user_id=754845

    I've already tried to put XkbLayout into the rfbkeyboard
    section and it had no positive effect.

    I can certainly try to upgrade to 4.3.0 but I'd much prefer
    to find a fix for 4.2.0. I'm going to be running 120-odd
    systems like this in a few weeks... :-)

    XF86Config pasted below

    ---

    Section "ServerLayout"
    Identifier "Anaconda Configured"
    Screen 0 "Screen0" 0 0
    InputDevice "Mouse0" "CorePointer"
    InputDevice "Mouse1" "SendCoreEvents"
    InputDevice "Keyboard0" "CoreKeyboard"
    InputDevice "vncMouse" "ExtraPointer"
    InputDevice "vncKeyboard" "ExtraKeyboard"
    EndSection

    Section "Files"

    # The location of the RGB database. Note, this is the name
    of the
    # file minus the extension (like ".txt" or ".db"). There is
    normally
    # no need to change the default.

    RgbPath "/usr/X11R6/lib/X11/rgb"

    # Multiple FontPath entries are allowed (they are
    concatenated together)
    # By default, Red Hat 6.0 and later now use a font server
    independent of
    # the X server to render fonts.

    FontPath "unix/:7100"

    EndSection

    Section "Module"
    Load "dbe"
    Load "extmod"
    Load "fbdevhw"
    Load "dri"
    Load "glx"
    Load "record"
    Load "freetype"
    Load "type1"
    Load "vnc"
    EndSection

    Section "InputDevice"
    # vncKeyboard: keyboard actions from vnc
    Identifier "vncKeyboard"
    Driver "rfbkeyb"
    Option "XkbRules" "xfree86"
    Option "XkbModel" "pc101"
    Option "XkbLayout" "gb"
    EndSection

    Section "InputDevice"
    # vncMouse: mouse actions from vnc
    Identifier "vncMouse"
    Driver "rfbmouse"
    EndSection

    Section "InputDevice"
    Identifier "Keyboard0"
    Driver "keyboard"

    #
    Option
    "AutoRepeat"
    "500 5"

    # when using XQUEUE, comment out the above line, and
    uncomment the
    # following line
    #
    Option
    "Protocol"
    "Xqueue"

    # Specify which keyboard LEDs can be user-controlled (eg,
    with xset(1))
    #
    Option
    "Xleds"
    "1 2 3"

    # To disable the XKEYBOARD extension, uncomment XkbDisable.
    #
    Option
    "XkbDisable"

    # To customise the XKB settings to suit your keyboard,
    modify the
    # lines below (which are the defaults). For example, for a
    non-U.S.
    # keyboard, you will probably want to use:
    #
    Option
    "XkbModel"
    "pc102"
    # If you have a US Microsoft Natural keyboard, you can use:
    #
    Option
    "XkbModel"
    "microsoft"
    #
    # Then to change the language, change the Layout setting.
    # For example, a german layout can be obtained with:
    #
    Option
    "XkbLayout"
    "de"
    # or:
    #
    Option
    "XkbLayout"
    "de"
    #
    Option
    "XkbVariant"
    "nodeadkeys"
    #
    # If you'd like to switch the positions of your capslock and
    # control keys, use:
    #
    Option
    "XkbOptions"
    "ctrl:swapcaps"
    Option "XkbRules" "xfree86"
    Option "XkbModel" "pc101"
    Option "XkbLayout" "gb"
    #Option "XkbVariant" ""
    #Option "XkbOptions" ""
    EndSection

    Section "InputDevice"
    Identifier "Mouse0"
    Driver "mouse"
    Option "Protocol" "IMPS/2"
    Option "Device" "/dev/psaux"
    Option "Buttons" "5"
    Option "ZAxisMapping" "4 5"
    Option "Emulate3Buttons" "no"
    EndSection

    Section "InputDevice"
    Identifier "Mouse1"
    Driver "mouse"
    Option "Device" "/dev/input/mice"
    Option "Protocol" "IMPS/2"
    Option "Emulate3Buttons" "no"
    Option "ZAxisMapping" "4 5"
    EndSection

    Section "Monitor"
    Identifier "Monitor0"
    VendorName "Monitor Vendor"
    ModelName "Monitor Model"
    HorizSync 30-86
    VertRefresh 50-160
    Option "dpms"

    EndSection

    Section "Device"
    # no known options
    Identifier "ATI Radeon VE"
    Driver "radeon"
    VendorName "ATI Radeon VE"
    BoardName "ATI Radeon VE"
    Option "usevnc"

    #BusID
    EndSection

    Section "Screen"
    Identifier "Screen0"
    Device "ATI Radeon VE"
    Monitor "Monitor0"
    DefaultDepth 24

    Subsection "Display"
    Depth 8
    Modes "1024x768" "800x600" "640x480"
    Visual "PseudoColor"
    EndSubsection
    Subsection "Display"
    Depth 16
    Modes "1024x768" "800x600" "640x480"
    EndSubsection
    Subsection "Display"
    Depth 24
    Modes "1024x768" "800x600" "640x480"
    EndSubsection

    EndSection

    Section "DRI"
    Mode 0666
    EndSection

     
  • Alan Hourihane
    Alan Hourihane
    2003-04-11

    Logged In: YES
    user_id=2372

    Well, just so you know Dougie, I'm in the UK too, so I know
    this works.

    And I've just tested it again with 4.3.0 and a linux
    vncviewer. If both ends are set to.....

    Option "XkbRules" "xfree86"
    Option "XkbModel" "pc101"
    Option "XkbLayout" "gb"

    then everything is fine here. You don't actually need it on
    the rfbkeyboard
    section, but it does no harm either.

     
  • Dougie Dunn
    Dougie Dunn
    2003-04-14

    Logged In: YES
    user_id=754845

    I've tried again with XFree86 4.3.0 and I'm still seing the
    same thing.

    So far I've tried:

    XFree86 4.2.0 - Redhat 8.0 (radeon_drv.o)
    XFree86 4.2.0 - Redhat 8.0 (i810_drv.o)
    XFree86 4.3.0 - Slackware 9.0 (radeon_drv.o)

    I'm still seing the same problems each time. Could there be
    something I'm missing in my installation procedure which is
    screwing things up? One thing which has me slightly
    confused is the presence of an Xvnc binary in the download
    section of the sourceforge page, is this a modified server
    or simply there for convenience? I've posted below how I add
    the xf4vnc modules to my X setup. Anything missing?

    ---

    Copy radeon_drv.o to /usr/X11R6/lib/modules/drivers/
    Copy vnc.so to /usr/X11R6/lib/modules/

    Add InputDevice sections for rfbkeyb and rfbmouse
    (referenced in ServerLayout section) to /etc/X11/XF86Config.

    Add Load "vnc" in Modules section of XF86Config
    Add Option "usevnc" to Device section in XF86Config

    Restart X

    Connect from vncviewer client. Curse at keyboard problems.

     
  • Alan Hourihane
    Alan Hourihane
    2003-04-14

    Logged In: YES
    user_id=2372

    That seems o.k. Can you attach your /var/log/XFree86.0.log file.

     
  • Dougie Dunn
    Dougie Dunn
    2003-04-14

    Logged In: YES
    user_id=754845

    I've attached the latest XFree86.0.log from a Redhat 8.0
    system with a radeon card.

    ---

    XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-72) / X
    Window System
    (protocol Version 11, revision 0, vendor release 6600)
    Release Date: 23 January 2002
    If the server is older than 6-12 months, or if your card is
    newer than the above date, look for a newer version before
    reporting problems. (See http://www.XFree86.Org/\)
    Build Operating System: Linux 2.4.18-11smp i686 [ELF]
    Build Host: daffy.perf.redhat.com

    Module Loader present
    OS Kernel: Linux version 2.4.18-14
    (bhcompile@stripples.devel.redhat.com) (gcc version 3.2
    20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Sep 4 13:35:50
    EDT 2002
    Markers: (--) probed, (**) from config file, (==) default
    setting,
    (++) from command line, (!!) notice, (II)
    informational,
    (WW) warning, (EE) error, (NI) not implemented,
    (??) unknown.
    (==) Log file: "/var/log/XFree86.0.log", Time: Mon Apr 14
    10:34:18 2003
    (==) Using config file: "/etc/X11/XF86Config"
    (==) ServerLayout "Anaconda Configured"
    (**) |-->Screen "Screen0" (0)
    (**) | |-->Monitor "Monitor0"
    (**) | |-->Device "ATI Radeon VE"
    (**) |-->Input Device "Mouse0"
    (**) |-->Input Device "Mouse1"
    (**) |-->Input Device "Keyboard0"
    (**) Option "XkbRules" "xfree86"
    (**) XKB: rules: "xfree86"
    (**) Option "XkbModel" "pc101"
    (**) XKB: model: "pc101"
    (**) Option "XkbLayout" "gb"
    (**) XKB: layout: "gb"
    (==) Keyboard: CustomKeycode disabled
    (**) |-->Input Device "vncMouse"
    (**) |-->Input Device "vncKeyboard"
    (**) FontPath set to "unix/:7100"
    (**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
    (==) ModulePath set to "/usr/X11R6/lib/modules"
    (--) using VT number 7

    (II) Open APM successful
    (II) Module ABI versions:
    XFree86 ANSI C Emulation: 0.1
    XFree86 Video Driver: 0.5
    XFree86 XInput driver : 0.3
    XFree86 Server Extension : 0.1
    XFree86 Font Renderer : 0.3
    (II) Loader running on linux
    (II) LoadModule: "bitmap"
    (II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
    (II) Module bitmap: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    Module class: XFree86 Font Renderer
    ABI class: XFree86 Font Renderer, version 0.3
    (II) Loading font Bitmap
    (II) LoadModule: "pcidata"
    (II) Loading /usr/X11R6/lib/modules/libpcidata.a
    (II) Module pcidata: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 0.1.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) PCI: Probing config type using method 1
    (II) PCI: Config type is 1
    (II) PCI: stages = 0x03, oldVal1 = 0x800000b0, mode1Res1 =
    0x80000000
    (II) PCI: PCI scan (all values are in hex)
    (II) PCI: 00:00:0: chip 8086,2560 card 1028,0126 rev 01
    class 06,00,00 hdr 00
    (II) PCI: 00:01:0: chip 8086,2561 card 0000,0000 rev 01
    class 06,04,00 hdr 01
    (II) PCI: 00:1d:0: chip 8086,24c2 card 1028,0126 rev 01
    class 0c,03,00 hdr 80
    (II) PCI: 00:1d:1: chip 8086,24c4 card 1028,0126 rev 01
    class 0c,03,00 hdr 00
    (II) PCI: 00:1d:2: chip 8086,24c7 card 1028,0126 rev 01
    class 0c,03,00 hdr 00
    (II) PCI: 00:1d:7: chip 8086,24cd card 1028,0126 rev 01
    class 0c,03,20 hdr 00
    (II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 81
    class 06,04,00 hdr 01
    (II) PCI: 00:1f:0: chip 8086,24c0 card 0000,0000 rev 01
    class 06,01,00 hdr 80
    (II) PCI: 00:1f:1: chip 8086,24cb card 1028,0126 rev 01
    class 01,01,8a hdr 00
    (II) PCI: 00:1f:3: chip 8086,24c3 card 1028,0126 rev 01
    class 0c,05,00 hdr 00
    (II) PCI: 00:1f:5: chip 8086,24c5 card 1028,0126 rev 01
    class 04,01,00 hdr 00
    (II) PCI: 01:00:0: chip 1002,5159 card 1002,1b8a rev 00
    class 03,00,00 hdr 00
    (II) PCI: 02:0a:0: chip 8086,1229 card 0e11,b144 rev 08
    class 02,00,00 hdr 00
    (II) PCI: 02:0c:0: chip 8086,100e card 1028,002e rev 02
    class 02,00,00 hdr 00
    (II) PCI: End of PCI scan
    (II) LoadModule: "scanpci"
    (II) Loading /usr/X11R6/lib/modules/libscanpci.a
    (II) Module scanpci: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 0.1.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) UnloadModule: "scanpci"
    (II) Unloading /usr/X11R6/lib/modules/libscanpci.a
    (II) Host-to-PCI bridge:
    (II) PCI-to-ISA bridge:
    (II) PCI-to-PCI bridge:
    (II) PCI-to-PCI bridge:
    (II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08
    (VGA_EN is set)
    (II) Bus 0 I/O range:
    [0] -1 0x00000000 - 0x0000ffff (0x10000) IX[B]
    (II) Bus 0 non-prefetchable memory range:
    [0] -1 0x00000000 - 0xffffffff (0x0) MX[B]
    (II) Bus 0 prefetchable memory range:
    [0] -1 0x00000000 - 0xffffffff (0x0) MX[B]
    (II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0c
    (VGA_EN is set)
    (II) Bus 1 I/O range:
    [0] -1 0x0000e000 - 0x0000e0ff (0x100) IX[B]
    [1] -1 0x0000e400 - 0x0000e4ff (0x100) IX[B]
    [2] -1 0x0000e800 - 0x0000e8ff (0x100) IX[B]
    [3] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B]
    (II) Bus 1 non-prefetchable memory range:
    [0] -1 0xff800000 - 0xff9fffff (0x200000) MX[B]
    (II) Bus 1 prefetchable memory range:
    [0] -1 0xf0000000 - 0xf7ffffff (0x8000000) MX[B]
    (II) Bus 2: bridge is at (0:30:0), (0,2,2), BCTRL: 0x06
    (VGA_EN is cleared)
    (II) Bus 2 I/O range:
    [0] -1 0x0000d000 - 0x0000d0ff (0x100) IX[B]
    [1] -1 0x0000d400 - 0x0000d4ff (0x100) IX[B]
    [2] -1 0x0000d800 - 0x0000d8ff (0x100) IX[B]
    [3] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
    (II) Bus 2 non-prefetchable memory range:
    [0] -1 0xff500000 - 0xff7fffff (0x300000) MX[B]
    (II) Bus 2 prefetchable memory range:
    (II) Bus -1: bridge is at (0:31:0), (0,-1,0), BCTRL: 0x08
    (VGA_EN is set)
    (II) Bus -1 I/O range:
    (II) Bus -1 non-prefetchable memory range:
    (II) Bus -1 prefetchable memory range:
    (--) PCI:*(1:0:0) ATI Radeon VE QY rev 0, Mem @
    0xf0000000/27, 0xff8f0000/16, I/O @ 0xec00/8, BIOS @
    0x80000000/17
    (II) Addressable bus resource ranges are
    [0] -1 0x00000000 - 0xffffffff (0x0) MX[B]
    [1] -1 0x00000000 - 0x0000ffff (0x10000) IX[B]
    (II) OS-reported resource ranges:
    [0] -1 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
    [1] -1 0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
    [2] -1 0x000f0000 - 0x000fffff (0x10000) MX[B]
    [3] -1 0x000c0000 - 0x000effff (0x30000) MX[B]
    [4] -1 0x00000000 - 0x0009ffff (0xa0000) MX[B]
    [5] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
    [6] -1 0x00000000 - 0x000000ff (0x100) IX[B]
    (II) Active PCI resource ranges:
    [0] -1 0xff6c0000 - 0xff6dffff (0x20000) MX[B]
    [1] -1 0xff500000 - 0xff5fffff (0x100000) MX[B]
    [2] -1 0xff6ff000 - 0xff6fffff (0x1000) MX[B]
    [3] -1 0xffa00000 - 0xffa000ff (0x100) MX[B]
    [4] -1 0xffa00400 - 0xffa005ff (0x200) MX[B]
    [5] -1 0x20000000 - 0x200003ff (0x400) MX[B]
    [6] -1 0xffa00800 - 0xffa00bff (0x400) MX[B]
    [7] -1 0xe8000000 - 0xefffffff (0x8000000) MX[B]
    [8] -1 0x80000000 - 0x8001ffff (0x20000) MX[B](B)
    [9] -1 0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
    [10] -1 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
    [11] -1 0x0000dc80 - 0x0000dcbf (0x40) IX[B]
    [12] -1 0x0000dcc0 - 0x0000dcff (0x40) IX[B]
    [13] -1 0x0000cc40 - 0x0000cc7f (0x40) IX[B]
    [14] -1 0x0000c800 - 0x0000c8ff (0x100) IX[B]
    [15] -1 0x0000cc80 - 0x0000cc9f (0x20) IX[B]
    [16] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
    [17] -1 0x00000374 - 0x00000374 (0x1) IX[B]
    [18] -1 0x00000170 - 0x00000170 (0x1) IX[B]
    [19] -1 0x000003f4 - 0x000003f4 (0x1) IX[B]
    [20] -1 0x000001f0 - 0x000001f0 (0x1) IX[B]
    [21] -1 0x0000ff40 - 0x0000ff5f (0x20) IX[B]
    [22] -1 0x0000ff60 - 0x0000ff7f (0x20) IX[B]
    [23] -1 0x0000ff80 - 0x0000ff9f (0x20) IX[B]
    [24] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
    (II) Active PCI resource ranges after removing overlaps:
    [0] -1 0xff6c0000 - 0xff6dffff (0x20000) MX[B]
    [1] -1 0xff500000 - 0xff5fffff (0x100000) MX[B]
    [2] -1 0xff6ff000 - 0xff6fffff (0x1000) MX[B]
    [3] -1 0xffa00000 - 0xffa000ff (0x100) MX[B]
    [4] -1 0xffa00400 - 0xffa005ff (0x200) MX[B]
    [5] -1 0x20000000 - 0x200003ff (0x400) MX[B]
    [6] -1 0xffa00800 - 0xffa00bff (0x400) MX[B]
    [7] -1 0xe8000000 - 0xefffffff (0x8000000) MX[B]
    [8] -1 0x80000000 - 0x8001ffff (0x20000) MX[B](B)
    [9] -1 0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
    [10] -1 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
    [11] -1 0x0000dc80 - 0x0000dcbf (0x40) IX[B]
    [12] -1 0x0000dcc0 - 0x0000dcff (0x40) IX[B]
    [13] -1 0x0000cc40 - 0x0000cc7f (0x40) IX[B]
    [14] -1 0x0000c800 - 0x0000c8ff (0x100) IX[B]
    [15] -1 0x0000cc80 - 0x0000cc9f (0x20) IX[B]
    [16] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
    [17] -1 0x00000374 - 0x00000374 (0x1) IX[B]
    [18] -1 0x00000170 - 0x00000170 (0x1) IX[B]
    [19] -1 0x000003f4 - 0x000003f4 (0x1) IX[B]
    [20] -1 0x000001f0 - 0x000001f0 (0x1) IX[B]
    [21] -1 0x0000ff40 - 0x0000ff5f (0x20) IX[B]
    [22] -1 0x0000ff60 - 0x0000ff7f (0x20) IX[B]
    [23] -1 0x0000ff80 - 0x0000ff9f (0x20) IX[B]
    [24] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
    (II) OS-reported resource ranges after removing overlaps
    with PCI:
    [0] -1 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
    [1] -1 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
    [2] -1 0x000f0000 - 0x000fffff (0x10000) MX[B]
    [3] -1 0x000c0000 - 0x000effff (0x30000) MX[B]
    [4] -1 0x00000000 - 0x0009ffff (0xa0000) MX[B]
    [5] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
    [6] -1 0x00000000 - 0x000000ff (0x100) IX[B]
    (II) All system resource ranges:
    [0] -1 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
    [1] -1 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
    [2] -1 0x000f0000 - 0x000fffff (0x10000) MX[B]
    [3] -1 0x000c0000 - 0x000effff (0x30000) MX[B]
    [4] -1 0x00000000 - 0x0009ffff (0xa0000) MX[B]
    [5] -1 0xff6c0000 - 0xff6dffff (0x20000) MX[B]
    [6] -1 0xff500000 - 0xff5fffff (0x100000) MX[B]
    [7] -1 0xff6ff000 - 0xff6fffff (0x1000) MX[B]
    [8] -1 0xffa00000 - 0xffa000ff (0x100) MX[B]
    [9] -1 0xffa00400 - 0xffa005ff (0x200) MX[B]
    [10] -1 0x20000000 - 0x200003ff (0x400) MX[B]
    [11] -1 0xffa00800 - 0xffa00bff (0x400) MX[B]
    [12] -1 0xe8000000 - 0xefffffff (0x8000000) MX[B]
    [13] -1 0x80000000 - 0x8001ffff (0x20000) MX[B](B)
    [14] -1 0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
    [15] -1 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
    [16] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
    [17] -1 0x00000000 - 0x000000ff (0x100) IX[B]
    [18] -1 0x0000dc80 - 0x0000dcbf (0x40) IX[B]
    [19] -1 0x0000dcc0 - 0x0000dcff (0x40) IX[B]
    [20] -1 0x0000cc40 - 0x0000cc7f (0x40) IX[B]
    [21] -1 0x0000c800 - 0x0000c8ff (0x100) IX[B]
    [22] -1 0x0000cc80 - 0x0000cc9f (0x20) IX[B]
    [23] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
    [24] -1 0x00000374 - 0x00000374 (0x1) IX[B]
    [25] -1 0x00000170 - 0x00000170 (0x1) IX[B]
    [26] -1 0x000003f4 - 0x000003f4 (0x1) IX[B]
    [27] -1 0x000001f0 - 0x000001f0 (0x1) IX[B]
    [28] -1 0x0000ff40 - 0x0000ff5f (0x20) IX[B]
    [29] -1 0x0000ff60 - 0x0000ff7f (0x20) IX[B]
    [30] -1 0x0000ff80 - 0x0000ff9f (0x20) IX[B]
    [31] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
    (II) LoadModule: "dbe"
    (II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
    (II) Module dbe: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    Module class: XFree86 Server Extension
    ABI class: XFree86 Server Extension, version 0.1
    (II) Loading extension DOUBLE-BUFFER
    (II) LoadModule: "extmod"
    (II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
    (II) Module extmod: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    Module class: XFree86 Server Extension
    ABI class: XFree86 Server Extension, version 0.1
    (II) Loading extension SHAPE
    (II) Loading extension MIT-SUNDRY-NONSTANDARD
    (II) Loading extension BIG-REQUESTS
    (II) Loading extension SYNC
    (II) Loading extension MIT-SCREEN-SAVER
    (II) Loading extension XC-MISC
    (II) Loading extension XFree86-VidModeExtension
    (II) Loading extension XFree86-Misc
    (II) Loading extension XFree86-DGA
    (II) Loading extension DPMS
    (II) Loading extension FontCache
    (II) Loading extension TOG-CUP
    (II) Loading extension Extended-Visual-Information
    (II) Loading extension XVideo
    (II) Loading extension XVideo-MotionCompensation
    (II) Loading extension X-Resource
    (II) LoadModule: "fbdevhw"
    (II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
    (II) Module fbdevhw: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 0.0.2
    ABI class: XFree86 Video Driver, version 0.5
    (II) LoadModule: "dri"
    (II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
    (II) Module dri: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 Server Extension, version 0.1
    (II) Loading sub module "drm"
    (II) LoadModule: "drm"
    (II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
    (II) Module drm: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 Server Extension, version 0.1
    (II) Loading extension XFree86-DRI
    (II) LoadModule: "glx"
    (II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
    (II) Module glx: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 Server Extension, version 0.1
    (II) Loading sub module "GLcore"
    (II) LoadModule: "GLcore"
    (II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
    (II) Module GLcore: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 Server Extension, version 0.1
    (II) Loading extension GLX
    (II) LoadModule: "record"
    (II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
    (II) Module record: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.13.0
    Module class: XFree86 Server Extension
    ABI class: XFree86 Server Extension, version 0.1
    (II) Loading extension RECORD
    (II) LoadModule: "freetype"
    (II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
    (II) Module freetype: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.1.10
    Module class: XFree86 Font Renderer
    ABI class: XFree86 Font Renderer, version 0.3
    (II) Loading font FreeType
    (II) LoadModule: "type1"
    (II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
    (II) Module type1: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.1
    Module class: XFree86 Font Renderer
    ABI class: XFree86 Font Renderer, version 0.3
    (II) Loading font Type1
    (II) Loading font CID
    (II) LoadModule: "vnc"
    (II) Loading /usr/X11R6/lib/modules/vnc.so
    (II) Module vnc: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) Loading extension VNC
    (II) LoadModule: "radeon"
    (II) Loading /usr/X11R6/lib/modules/drivers/radeon_drv.o
    (II) Module radeon: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 4.0.1
    Module class: XFree86 Video Driver
    ABI class: XFree86 Video Driver, version 0.5
    (II) LoadModule: "ati"
    (II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
    (II) Module ati: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 6.4.8
    Module class: XFree86 Video Driver
    ABI class: XFree86 Video Driver, version 0.5
    (II) LoadModule: "mouse"
    (II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
    (II) Module mouse: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    Module class: XFree86 XInput Driver
    ABI class: XFree86 XInput driver, version 0.3
    (II) LoadModule: "rfbmouse"
    (WW) Warning, couldn't open module rfbmouse
    (II) UnloadModule: "rfbmouse"
    (EE) Failed to load module "rfbmouse" (module does not exist, 0)
    (II) LoadModule: "rfbkeyb"
    (WW) Warning, couldn't open module rfbkeyb
    (II) UnloadModule: "rfbkeyb"
    (EE) Failed to load module "rfbkeyb" (module does not exist, 0)
    (II) ATI: ATI driver (version 6.4.8) for chipsets: ati, ativga
    (II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE
    (PCI),
    ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK
    (PCI),
    ATI Rage 128 RL (AGP), ATI Rage 128 SM (AGP),
    ATI Rage 128 Pro PD (PCI), ATI Rage 128 Pro PF (AGP),
    ATI Rage 128 Pro PP (PCI), ATI Rage 128 Pro PR (PCI),
    ATI Rage 128 Pro ULTRA TF (AGP), ATI Rage 128 Pro ULTRA TL (AGP),
    ATI Rage 128 Pro ULTRA TR (AGP), ATI Rage 128 Mobility LE (PCI),
    ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
    ATI Rage 128 Mobility ML (AGP)
    (II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD
    (AGP),
    ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
    ATI Radeon VE QY (AGP), ATI Radeon VE QZ (AGP),
    ATI Radeon Mobility LW (AGP), ATI Radeon Mobility LX (AGP),
    ATI Radeon Mobility LY (AGP), ATI Radeon Mobility LZ (AGP),
    ATI Radeon 8500 QL (AGP), ATI Radeon 8500 QN (AGP),
    ATI Radeon 8500 QO (AGP), ATI Radeon 8500 Ql (AGP),
    ATI Radeon 8500 BB (AGP), ATI Radeon 7500 QW (AGP)
    (II) Primary Device is: PCI 01:00:0
    (--) Assigning device section with no busID to primary device
    (--) Chipset ATI Radeon VE QY (AGP) found
    (II) resource ranges after xf86ClaimFixedResources() call:
    [0] -1 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
    [1] -1 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
    [2] -1 0x000f0000 - 0x000fffff (0x10000) MX[B]
    [3] -1 0x000c0000 - 0x000effff (0x30000) MX[B]
    [4] -1 0x00000000 - 0x0009ffff (0xa0000) MX[B]
    [5] -1 0xff6c0000 - 0xff6dffff (0x20000) MX[B]
    [6] -1 0xff500000 - 0xff5fffff (0x100000) MX[B]
    [7] -1 0xff6ff000 - 0xff6fffff (0x1000) MX[B]
    [8] -1 0xffa00000 - 0xffa000ff (0x100) MX[B]
    [9] -1 0xffa00400 - 0xffa005ff (0x200) MX[B]
    [10] -1 0x20000000 - 0x200003ff (0x400) MX[B]
    [11] -1 0xffa00800 - 0xffa00bff (0x400) MX[B]
    [12] -1 0xe8000000 - 0xefffffff (0x8000000) MX[B]
    [13] -1 0x80000000 - 0x8001ffff (0x20000) MX[B](B)
    [14] -1 0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
    [15] -1 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
    [16] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
    [17] -1 0x00000000 - 0x000000ff (0x100) IX[B]
    [18] -1 0x0000dc80 - 0x0000dcbf (0x40) IX[B]
    [19] -1 0x0000dcc0 - 0x0000dcff (0x40) IX[B]
    [20] -1 0x0000cc40 - 0x0000cc7f (0x40) IX[B]
    [21] -1 0x0000c800 - 0x0000c8ff (0x100) IX[B]
    [22] -1 0x0000cc80 - 0x0000cc9f (0x20) IX[B]
    [23] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
    [24] -1 0x00000374 - 0x00000374 (0x1) IX[B]
    [25] -1 0x00000170 - 0x00000170 (0x1) IX[B]
    [26] -1 0x000003f4 - 0x000003f4 (0x1) IX[B]
    [27] -1 0x000001f0 - 0x000001f0 (0x1) IX[B]
    [28] -1 0x0000ff40 - 0x0000ff5f (0x20) IX[B]
    [29] -1 0x0000ff60 - 0x0000ff7f (0x20) IX[B]
    [30] -1 0x0000ff80 - 0x0000ff9f (0x20) IX[B]
    [31] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
    (II) Loading sub module "radeon"
    (II) LoadModule: "radeon"
    (II) Reloading /usr/X11R6/lib/modules/drivers/radeon_drv.o
    (II) resource ranges after probing:
    [0] -1 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
    [1] -1 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
    [2] -1 0x000f0000 - 0x000fffff (0x10000) MX[B]
    [3] -1 0x000c0000 - 0x000effff (0x30000) MX[B]
    [4] -1 0x00000000 - 0x0009ffff (0xa0000) MX[B]
    [5] -1 0xff6c0000 - 0xff6dffff (0x20000) MX[B]
    [6] -1 0xff500000 - 0xff5fffff (0x100000) MX[B]
    [7] -1 0xff6ff000 - 0xff6fffff (0x1000) MX[B]
    [8] -1 0xffa00000 - 0xffa000ff (0x100) MX[B]
    [9] -1 0xffa00400 - 0xffa005ff (0x200) MX[B]
    [10] -1 0x20000000 - 0x200003ff (0x400) MX[B]
    [11] -1 0xffa00800 - 0xffa00bff (0x400) MX[B]
    [12] -1 0xe8000000 - 0xefffffff (0x8000000) MX[B]
    [13] -1 0x80000000 - 0x8001ffff (0x20000) MX[B](B)
    [14] -1 0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
    [15] -1 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
    [16] 0 0x000a0000 - 0x000affff (0x10000) MS[B]
    [17] 0 0x000b0000 - 0x000b7fff (0x8000) MS[B]
    [18] 0 0x000b8000 - 0x000bffff (0x8000) MS[B]
    [19] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
    [20] -1 0x00000000 - 0x000000ff (0x100) IX[B]
    [21] -1 0x0000dc80 - 0x0000dcbf (0x40) IX[B]
    [22] -1 0x0000dcc0 - 0x0000dcff (0x40) IX[B]
    [23] -1 0x0000cc40 - 0x0000cc7f (0x40) IX[B]
    [24] -1 0x0000c800 - 0x0000c8ff (0x100) IX[B]
    [25] -1 0x0000cc80 - 0x0000cc9f (0x20) IX[B]
    [26] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
    [27] -1 0x00000374 - 0x00000374 (0x1) IX[B]
    [28] -1 0x00000170 - 0x00000170 (0x1) IX[B]
    [29] -1 0x000003f4 - 0x000003f4 (0x1) IX[B]
    [30] -1 0x000001f0 - 0x000001f0 (0x1) IX[B]
    [31] -1 0x0000ff40 - 0x0000ff5f (0x20) IX[B]
    [32] -1 0x0000ff60 - 0x0000ff7f (0x20) IX[B]
    [33] -1 0x0000ff80 - 0x0000ff9f (0x20) IX[B]
    [34] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
    [35] 0 0x000003b0 - 0x000003bb (0xc) IS[B]
    [36] 0 0x000003c0 - 0x000003df (0x20) IS[B]
    (II) Setting vga for screen 0.
    (II) Loading sub module "vgahw"
    (II) LoadModule: "vgahw"
    (II) Loading /usr/X11R6/lib/modules/libvgahw.a
    (II) Module vgahw: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 0.1.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0,
    hwp->PIOOffset is 0x0000
    (II) RADEON(0): PCI bus 1 card 0 func 0
    (**) RADEON(0): Depth 24, (--) framebuffer bpp 32
    (II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32
    bpp pixmaps)
    (==) RADEON(0): Default visual is TrueColor
    (==) RADEON(0): RGB weight 888
    (II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
    (II) Loading sub module "int10"
    (II) LoadModule: "int10"
    (II) Loading /usr/X11R6/lib/modules/linux/libint10.a
    (II) Module int10: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) RADEON(0): initializing int10
    (II) RADEON(0): Primary V_BIOS segment is: 0xc000
    (--) RADEON(0): Chipset: "ATI Radeon VE QY (AGP)" (ChipID =
    0x5159)
    (--) RADEON(0): Linear framebuffer at 0xf0000000
    (--) RADEON(0): MMIO registers at 0xff8f0000
    (--) RADEON(0): BIOS at 0x80000000
    (--) RADEON(0): VideoRAM: 32768 kByte (64-bit DDR SDRAM)
    (II) RADEON(0): Primary Display == Type 1
    (II) Loading sub module "ddc"
    (II) LoadModule: "ddc"
    (II) Loading /usr/X11R6/lib/modules/libddc.a
    (II) Module ddc: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) Loading sub module "i2c"
    (II) LoadModule: "i2c"
    (II) Loading /usr/X11R6/lib/modules/libi2c.a
    (II) Module i2c: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.2.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) RADEON(0): I2C bus "DDC" initialized.
    (II) RADEON(0): I2C device "DDC:ddc2" registered.
    (II) RADEON(0): I2C device "DDC:ddc2" removed.
    (II) RADEON(0): I2C device "DDC:ddc2" registered.
    (II) RADEON(0): I2C device "DDC:ddc2" removed.
    (II) RADEON(0): I2C EDID Info:
    (II) RADEON(0): Manufacturer: SUN Model: 54a Serial#:
    808661560
    (II) RADEON(0): Year: 1999 Week: 1
    (II) RADEON(0): EDID Version: 1.1
    (II) RADEON(0): Analog Display Input, Input Voltage Level:
    0.700/0.300 V
    (II) RADEON(0): Sync: Separate Composite
    (II) RADEON(0): Max H-Image Size [cm]: horiz.: 30 vert.: 23
    (II) RADEON(0): Gamma: 2.85
    (II) RADEON(0): DPMS capabilities: StandBy Suspend Off;
    RGB/Color Display
    (II) RADEON(0): redX: 0.625 redY: 0.340 greenX: 0.285
    greenY: 0.605
    (II) RADEON(0): blueX: 0.150 blueY: 0.065 whiteX: 0.283
    whiteY: 0.298
    (II) RADEON(0): Supported VESA Video Modes:
    (II) RADEON(0): 720x400@70Hz
    (II) RADEON(0): 720x400@88Hz
    (II) RADEON(0): 640x480@60Hz
    (II) RADEON(0): 640x480@67Hz
    (II) RADEON(0): 640x480@72Hz
    (II) RADEON(0): 640x480@75Hz
    (II) RADEON(0): 800x600@56Hz
    (II) RADEON(0): 800x600@60Hz
    (II) RADEON(0): 800x600@72Hz
    (II) RADEON(0): 800x600@75Hz
    (II) RADEON(0): 832x624@75Hz
    (II) RADEON(0): 1024x768@87Hz (interlaced)
    (II) RADEON(0): 1024x768@60Hz
    (II) RADEON(0): 1024x768@70Hz
    (II) RADEON(0): 1024x768@75Hz
    (II) RADEON(0): 1152x870@75Hz
    (II) RADEON(0): Manufacturer's mask: 0
    (II) RADEON(0): Supported Future Video Modes:
    (II) RADEON(0): #0: hsize: 1152 vsize 921 refresh: 76
    vid: 36977
    (II) RADEON(0): #1: hsize: 1024 vsize 768 refresh: 77
    vid: 20833
    (II) RADEON(0): #2: hsize: 1024 vsize 768 refresh: 75
    vid: 20321
    (II) RADEON(0): #3: hsize: 1152 vsize 921 refresh: 66
    vid: 34417
    (II) RADEON(0): #4: hsize: 800 vsize 600 refresh: 75 vid:
    20293
    (II) RADEON(0): Supported additional Video Mode:
    (II) RADEON(0): clock: 108.0 MHz Image Size: 300 x 225 mm
    (II) RADEON(0): h_active: 1152 h_sync: 1184 h_sync_end
    1312 h_blank_end 1504 h_border: 0
    (II) RADEON(0): v_active: 900 v_sync: 902 v_sync_end 910
    v_blanking: 943 v_border: 0
    (II) RADEON(0): Supported additional Video Mode:
    (II) RADEON(0): clock: 84.4 MHz Image Size: 300 x 225 mm
    (II) RADEON(0): h_active: 1024 h_sync: 1056 h_sync_end
    1120 h_blank_end 1360 h_border: 0
    (II) RADEON(0): v_active: 768 v_sync: 770 v_sync_end 774
    v_blanking: 805 v_border: 0
    (II) RADEON(0): Supported additional Video Mode:
    (II) RADEON(0): clock: 78.8 MHz Image Size: 300 x 225 mm
    (II) RADEON(0): h_active: 1024 h_sync: 1040 h_sync_end
    1136 h_blank_end 1312 h_border: 0
    (II) RADEON(0): v_active: 768 v_sync: 769 v_sync_end 772
    v_blanking: 800 v_border: 0
    (II) RADEON(0): Supported additional Video Mode:
    (II) RADEON(0): clock: 94.5 MHz Image Size: 300 x 225 mm
    (II) RADEON(0): h_active: 1152 h_sync: 1192 h_sync_end
    1320 h_blank_end 1528 h_border: 0
    (II) RADEON(0): v_active: 900 v_sync: 902 v_sync_end 906
    v_blanking: 937 v_border: 0
    (II) RADEON(0): End of DDC Monitor info

    (II) RADEON(0): PLL parameters: rf=2700 rd=60 min=12000
    max=35000; xclk=18300
    (==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
    (II) RADEON(0): Monitor0: Using hsync range of 30.00-86.00 kHz
    (II) RADEON(0): Monitor0: Using vrefresh range of
    50.00-160.00 Hz
    (II) RADEON(0): Clock range: 12.00 to 350.00 MHz
    (II) RADEON(0): Not using default mode "1280x1024" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "640x512" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1600x1200" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "800x600" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1600x1200" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "800x600" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1600x1200" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "800x600" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1792x1344" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "896x672" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1856x1392" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "928x696" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1920x1440" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "960x720" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1920x1440" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "960x720" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1400x1050" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "700x525" (hsync out
    of range)
    (II) RADEON(0): Not using default mode "1920x1200" (hsync
    out of range)
    (II) RADEON(0): Not using default mode "960x600" (hsync out
    of range)
    (--) RADEON(0): Virtual size is 1024x768 (pitch 1024)
    (**) RADEON(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz,
    85.0 Hz
    (II) RADEON(0): Modeline "1024x768" 94.50 1024 1072 1168
    1376 768 769 772 808 +hsync +vsync
    (**) RADEON(0): Default mode "800x600": 56.3 MHz, 53.7 kHz,
    85.1 Hz
    (II) RADEON(0): Modeline "800x600" 56.30 800 832 896 1048
    600 601 604 631 +hsync +vsync
    (**) RADEON(0): Default mode "640x480": 74.2 MHz, 85.9 kHz,
    85.1 Hz (D)
    (II) RADEON(0): Modeline "640x480" 74.25 640 672 752 864
    480 480 482 505 doublescan +hsync +vsync
    (--) RADEON(0): Display dimensions: (300, 230) mm
    (--) RADEON(0): DPI set to (86, 84)
    (II) Loading sub module "fb"
    (II) LoadModule: "fb"
    (II) Loading /usr/X11R6/lib/modules/libfb.a
    (II) Module fb: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 ANSI C Emulation, version 0.1
    (II) Loading sub module "ramdac"
    (II) LoadModule: "ramdac"
    (II) Loading /usr/X11R6/lib/modules/libramdac.a
    (II) Module ramdac: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 0.1.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) Loading sub module "xaa"
    (II) LoadModule: "xaa"
    (II) Loading /usr/X11R6/lib/modules/libxaa.a
    (II) Module xaa: vendor="The XFree86 Project"
    compiled for 4.2.0, module version = 1.0.0
    ABI class: XFree86 Video Driver, version 0.5
    (II) RADEON(0): Depth moves disabled by default
    (!!) RADEON(0): For information on using the multimedia
    capabilities
    of this adapter, please see http://gatos.sf.net.
    (--) Depth 24 pixmap format is 32 bpp
    (II) do I need RAC? No, I don't.
    (II) resource ranges after preInit:
    [0] 0 0xff8f0000 - 0xff8fffff (0x10000) MX[B]
    [1] 0 0xf0000000 - 0xf7ffffff (0x8000000) MX[B]
    [2] -1 0xffe00000 - 0xffffffff (0x200000) MX[B](B)
    [3] -1 0x00100000 - 0x1fffffff (0x1ff00000) MX[B]E(B)
    [4] -1 0x000f0000 - 0x000fffff (0x10000) MX[B]
    [5] -1 0x000c0000 - 0x000effff (0x30000) MX[B]
    [6] -1 0x00000000 - 0x0009ffff (0xa0000) MX[B]
    [7] -1 0xff6c0000 - 0xff6dffff (0x20000) MX[B]
    [8] -1 0xff500000 - 0xff5fffff (0x100000) MX[B]
    [9] -1 0xff6ff000 - 0xff6fffff (0x1000) MX[B]
    [10] -1 0xffa00000 - 0xffa000ff (0x100) MX[B]
    [11] -1 0xffa00400 - 0xffa005ff (0x200) MX[B]
    [12] -1 0x20000000 - 0x200003ff (0x400) MX[B]
    [13] -1 0xffa00800 - 0xffa00bff (0x400) MX[B]
    [14] -1 0xe8000000 - 0xefffffff (0x8000000) MX[B]
    [15] -1 0x80000000 - 0x8001ffff (0x20000) MX[B](B)
    [16] -1 0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
    [17] -1 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
    [18] 0 0x000a0000 - 0x000affff (0x10000) MS[B]
    [19] 0 0x000b0000 - 0x000b7fff (0x8000) MS[B]
    [20] 0 0x000b8000 - 0x000bffff (0x8000) MS[B]
    [21] 0 0x0000ec00 - 0x0000ecff (0x100) IX[B]
    [22] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
    [23] -1 0x00000000 - 0x000000ff (0x100) IX[B]
    [24] -1 0x0000dc80 - 0x0000dcbf (0x40) IX[B]
    [25] -1 0x0000dcc0 - 0x0000dcff (0x40) IX[B]
    [26] -1 0x0000cc40 - 0x0000cc7f (0x40) IX[B]
    [27] -1 0x0000c800 - 0x0000c8ff (0x100) IX[B]
    [28] -1 0x0000cc80 - 0x0000cc9f (0x20) IX[B]
    [29] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
    [30] -1 0x00000374 - 0x00000374 (0x1) IX[B]
    [31] -1 0x00000170 - 0x00000170 (0x1) IX[B]
    [32] -1 0x000003f4 - 0x000003f4 (0x1) IX[B]
    [33] -1 0x000001f0 - 0x000001f0 (0x1) IX[B]
    [34] -1 0x0000ff40 - 0x0000ff5f (0x20) IX[B]
    [35] -1 0x0000ff60 - 0x0000ff7f (0x20) IX[B]
    [36] -1 0x0000ff80 - 0x0000ff9f (0x20) IX[B]
    [37] -1 0x0000ec00 - 0x0000ecff (0x100) IX[B](B)
    [38] 0 0x000003b0 - 0x000003bb (0xc) IS[B]
    [39] 0 0x000003c0 - 0x000003df (0x20) IS[B]
    (==) RADEON(0): Write-combining range (0xf0000000,0x2000000)
    drmOpenDevice: minor is 0
    drmOpenDevice: node name is /dev/dri/card0
    drmOpenDevice: open result is 8, (OK)
    drmOpenDevice: minor is 0
    drmOpenDevice: node name is /dev/dri/card0
    drmOpenDevice: open result is 8, (OK)
    drmOpenDevice: minor is 0
    drmOpenDevice: node name is /dev/dri/card0
    drmOpenDevice: open result is 8, (OK)
    drmGetBusid returned ''
    (II) RADEON(0): [drm] created "radeon" driver at busid
    "PCI:1:0:0"
    (II) RADEON(0): [drm] added 8192 byte SAREA at 0xe09d2000
    (II) RADEON(0): [drm] mapped SAREA 0xe09d2000 to 0x40013000
    (II) RADEON(0): [drm] framebuffer handle = 0xf0000000
    (II) RADEON(0): [drm] added 1 reserved context for kernel
    (II) RADEON(0): [agp] Mode 0x1f000211 [AGP 0x8086/0x2560;
    Card 0x1002/0x5159]
    (II) RADEON(0): [agp] 8192 kB allocated with handle 0xe29d6000
    (II) RADEON(0): [agp] ring handle = 0xe8000000
    (II) RADEON(0): [agp] Ring mapped at 0x4012d000
    (II) RADEON(0): [agp] ring read ptr handle = 0xe8101000
    (II) RADEON(0): [agp] Ring read ptr mapped at 0x40015000
    (II) RADEON(0): [agp] vertex/indirect buffers handle =
    0xe8102000
    (II) RADEON(0): [agp] Vertex/indirect buffers mapped at
    0x4022e000
    (II) RADEON(0): [agp] AGP texture map handle = 0xe8302000
    (II) RADEON(0): [agp] AGP Texture map mapped at 0x4042e000
    (II) RADEON(0): [drm] register handle = 0xff8f0000
    (II) RADEON(0): [dri] Visual configs initialized
    (II) RADEON(0): CP in BM mode
    (II) RADEON(0): Using 8 MB AGP aperture
    (II) RADEON(0): Using 1 MB for the ring buffer
    (II) RADEON(0): Using 2 MB for vertex/indirect buffers
    (II) RADEON(0): Using 5 MB for AGP textures
    (II) RADEON(0): Memory manager initialized to (0,0) (1024,2303)
    (II) RADEON(0): Reserved area from (0,768) to (1024,770)
    (II) RADEON(0): Largest offscreen area available: 1024 x 1533
    (II) RADEON(0): Reserved back buffer at offset 0x900000
    (II) RADEON(0): Reserved depth buffer at offset 0xc00000
    (II) RADEON(0): Reserved 17408 kb for textures at offset
    0xf00000
    (==) RADEON(0): Backing store disabled
    (==) RADEON(0): Silken mouse enabled
    (II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
    Screen to screen bit blits
    Solid filled rectangles
    Solid Lines
    Dashed Lines
    Offscreen Pixmaps
    Setting up tile and stipple cache:
    32 128x128 slots
    14 256x256 slots
    (II) RADEON(0): Acceleration enabled
    (**) RADEON(0): Option "usevnc"
    (**) RADEON(0): VNC enabled
    (II) 14/04/2003 10:34:18
    (II) Listening for VNC connections on TCP port 5900
    (II) RADEON(0): Using software cursor
    (**) Option "dpms"
    (**) RADEON(0): DPMS enabled
    (II) RADEON(0): X context handle = 0x00000001
    (II) RADEON(0): [drm] installed DRM signal handler
    (II) RADEON(0): [DRI] installation complete
    (II) RADEON(0): [drm] Added 32 65536 byte vertex/indirect
    buffers
    (II) RADEON(0): [drm] Mapped 32 vertex/indirect buffers
    (II) RADEON(0): Direct rendering enabled
    (II) Setting vga for screen 0.
    (II) Initializing built-in extension MIT-SHM
    (II) Initializing built-in extension XInputExtension
    (II) Initializing built-in extension XTEST
    (II) Initializing built-in extension XKEYBOARD
    (II) Initializing built-in extension LBX
    (II) Initializing built-in extension XC-APPGROUP
    (II) Initializing built-in extension SECURITY
    (II) Initializing built-in extension XINERAMA
    (II) Initializing built-in extension XFree86-Bigfont
    (II) Initializing built-in extension RENDER
    (**) Option "Protocol" "IMPS/2"
    (**) Mouse0: Protocol: "IMPS/2"
    (**) Option "CorePointer"
    (**) Mouse0: Core Pointer
    (**) Option "Device" "/dev/psaux"
    (**) Option "Buttons" "5"
    (**) Option "Emulate3Buttons" "no"
    (**) Option "ZAxisMapping" "4 5"
    (**) Mouse0: ZAxisMapping: buttons 4 and 5
    (**) Mouse0: Buttons: 5
    (**) Option "Protocol" "IMPS/2"
    (**) Mouse1: Protocol: "IMPS/2"
    (**) Option "SendCoreEvents"
    (**) Mouse1: always reports core events
    (**) Option "Device" "/dev/input/mice"
    (**) Option "Emulate3Buttons" "no"
    (**) Option "ZAxisMapping" "4 5"
    (**) Mouse1: ZAxisMapping: buttons 4 and 5
    (**) Mouse1: Buttons: 5
    (II) Keyboard "Keyboard0" handled by legacy driver
    (II) XINPUT: Adding extended input device "vncKeyboard"
    (type: rfbKeyb)
    (II) XINPUT: Adding extended input device "vncMouse" (type:
    rfbMouse)
    (II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
    (II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    (II) 14/04/2003 10:35:17
    (II) Got connection from client 172.17.25.1
    (II) 14/04/2003 10:35:17
    (II) Protocol version 3.3
    (II) 14/04/2003 10:35:17
    (II) Pixel format for client 172.17.25.1:
    (II) 14/04/2003 10:35:17
    (II) 8 bpp, depth 8
    (II) 14/04/2003 10:35:17
    (II) true colour: max r 7 g 7 b 3, shift r 0 g 3 b 6
    (II) 14/04/2003 10:35:17
    (II) rfbProcessClientNormalMessage: ignoring unknown encoding 16
    (II) 14/04/2003 10:35:17
    (II) Using hextile encoding for client 172.17.25.1
    (II) 14/04/2003 10:35:18
    (II) Pixel format for client 172.17.25.1:
    (II) 14/04/2003 10:35:18
    (II) 32 bpp, depth 24, little endian
    (II) 14/04/2003 10:35:18
    (II) true colour: max r 255 g 255 b 255, shift r 16 g 8 b 0
    (II) 14/04/2003 10:35:18
    (II) no translation needed
    (II) 14/04/2003 10:35:18
    (II) rfbProcessClientNormalMessage: ignoring unknown encoding 16
    (II) 14/04/2003 10:35:18
    (II) Using hextile encoding for client 172.17.25.1
    (II) 14/04/2003 10:37:15
    (II) Pixel format for client 172.17.25.1:
    (II) 14/04/2003 10:37:15
    (II) 32 bpp, depth 24, little endian
    (II) 14/04/2003 10:37:15
    (II) true colour: max r 255 g 255 b 255, shift r 16 g 8 b 0
    (II) 14/04/2003 10:37:15
    (II) no translation needed
    (II) 14/04/2003 10:37:15
    (II) Using hextile encoding for client 172.17.25.1
    (II) 14/04/2003 10:37:15
    (II) rfbProcessClientNormalMessage: ignoring unknown encoding 16
    (II) 14/04/2003 10:37:53
    (II) Client 172.17.25.1 gone
    (II) 14/04/2003 10:37:53
    (II) Statistics:
    (II) 14/04/2003 10:37:53
    (II) key events received 547, pointer events 156
    (II) 14/04/2003 10:37:53
    (II) framebuffer updates 559, rectangles 1178, bytes 6234671
    (II) 14/04/2003 10:37:53
    (II) cursor shape updates 1, bytes 12
    (II) 14/04/2003 10:37:53
    (II) hextile rectangles 1177, bytes 6234659
    (II) 14/04/2003 10:37:53
    (II) raw bytes equivalent 48748968, compression ratio 7.819027
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    GetModeLine - scrn: 0 clock: 94500
    GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
    vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
    (II) 14/04/2003 13:36:29
    (II) Got connection from client 172.17.4.200
    (II) 14/04/2003 13:36:29
    (II) Protocol version 3.5
    (II) 14/04/2003 13:36:29
    (II) Ignoring minor version mismatch
    (II) 14/04/2003 13:36:29
    (II) Pixel format for client 172.17.4.200:
    (II) 14/04/2003 13:36:29
    (II) 32 bpp, depth 24, little endian
    (II) 14/04/2003 13:36:29
    (II) true colour: max r 255 g 255 b 255, shift r 16 g 8 b 0
    (II) 14/04/2003 13:36:29
    (II) no translation needed
    (II) 14/04/2003 13:36:29
    (II) Using hextile encoding for client 172.17.4.200
    (II) 14/04/2003 13:36:29
    (II) rfbProcessClientNormalMessage: ignoring unknown encoding 8
    (II) 14/04/2003 13:36:29
    (II) Enabling X-style cursor updates for client 172.17.4.200
    (II) 14/04/2003 13:36:29
    (II) rfbProcessClientNormalMessage: ignoring unknown
    encoding -232
    (II) 14/04/2003 13:36:29
    (II) Using image quality level 6 for client 172.17.4.200
    (II) 14/04/2003 13:36:29
    (II) Enabling LastRect protocol extension for client
    172.17.4.200
    (II) 14/04/2003 13:36:29
    (II) rfbProcessClientNormalMessage: ignoring unknown
    encoding -223

     
  • Alan Hourihane
    Alan Hourihane
    2003-04-14

    Logged In: YES
    user_id=2372

    Are there any specific keys you have problems with ?

    Maybe I can target that and try and replicate your problem.

     
  • Alan Hourihane
    Alan Hourihane
    2003-04-14

    Logged In: YES
    user_id=2372

    Dougie,

    I think I've just found a problem with this. Can you try a
    new vnc.so if I email it to you ?

     
  • Dougie Dunn
    Dougie Dunn
    2003-04-14

    Logged In: YES
    user_id=754845

    Alan,

    Yes I can try out a new vnc.o if you send it to me.

    I'm seeing problems with the # key (prints (shifted )),
    the \ key (prints # (shifted ~) and shift-2 prints @ instead
    of ". Other keys seem ok.

     
  • Alan Hourihane
    Alan Hourihane
    2003-04-15

    Logged In: YES
    user_id=2372

    Released 4.3.0.2 that has this fix. Closing this now.

     
  • Alan Hourihane
    Alan Hourihane
    2003-04-15

    • status: open --> closed